Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.forms
Class Form

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.forms.Form

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class Form

extends PdfObjectWrapper<PdfDictionary>

Interactive form (AcroForm) [PDF:1.6:8.6.1].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`Form(Document context)`

Method Summary
`Form` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`Fields` | `getFields()` Gets the fields collection.
`Resources` | `getResources()` Gets the default resources used by fields.
`void` | `setFields(Fields value)`
`void` | `setResources(Resources value)`
`static Form` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Form

    public Form(Document context)

Method Detail

### wrap

    public static Form wrap(PdfDirectObject baseObject)

### clone

    public Form clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getFields

    public Fields getFields()

  Gets the fields collection.

### getResources

    public Resources getResources()

  Gets the default resources used by fields.

### setFields

    public void setFields(Fields value)

  See Also:
    `getFields()`

### setResources

    public void setResources(Resources value)

  See Also:
    `getResources()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.